<?php

namespace app\api\controller\Home\CrossBanner;

use app\BaseController;
use app\common\model\CrossBanner\CrossBanner as ModelCrossBanner;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\arw\adjfut\src\Excel;
use app\common\arw\adjfut\src\UploadFile;
use think\facade\Db;
use app\common\exception\Tool;
use think\facade\Env;


class CrossBanner extends BaseController
{
    /**
     * 获取亮点列表
     */
    public function getCrossBannerList(Request $request): array
    {
        $params = $request->param();
        $con = [];

        $query = ModelCrossBanner::field([
            'cross_banner_id',
            'cross_banner_guid',
            'cross_banner_img',
            'cross_banner_position',
            'cross_banner_sort'
        ])->order('cross_banner_sort', 'asc')->select();
        $data = [];

        foreach ($query as $value) {
            if ($value['cross_banner_position'] == 1) {
                $data['up'][] = $value;
            } elseif ($value['cross_banner_position'] == 2) {
                $data['down'][] = $value;
            }
        }

        return msg(0, "获取交叉轮播图成功!", [
            'data' => $data,
            'count' => count($query)
        ]);
    }
}
