<?php

namespace app\api\controller\Home\ProfessionalService;

use app\BaseController;
use app\common\model\Home\ProfessionalService\ProfessionalService as ModelProfessionalService;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\arw\adjfut\src\Excel;
use app\common\arw\adjfut\src\UploadFile;
use think\facade\Db;
use app\common\exception\Tool;
use think\facade\Env;


class ProfessionalService extends BaseController
{
    /**
     * 获取专业优质服务列表
     */
    public function getProfessionalServiceList(Request $request): array
    {
        $params = $request->param();
        $con = [];

        $this->validate($params, ['locale' => 'require']);
        $con = Tool::getOptionalQuery(['c.i18n_lang_type_code', '=', 'locale']);

        $query = ModelProfessionalService::where($con)
            ->alias('a')
            ->leftjoin('i18n_lang_type c', 'a.i18n_lang_type_guid = c.i18n_lang_type_guid')
            ->field([
                'a.professional_service_id',
                'a.professional_service_guid',
                'a.professional_service_icon_name',
                'a.professional_service_icon',
                'a.professional_service_title',
                'a.professional_service_link',
                'a.professional_service_describe',
                'a.professional_service_sort'
            ])
            ->order('professional_service_sort', 'asc')
            ->select();

        return msg(0, "获取专业优质服务列表成功!", [
            'data' => $query,
            'count' => count($query)
        ]);
    }

    /**
     * 获取专业优质服务详情
     */
    public function getProfessionalServiceInfo(Request $request): array
    {
        $params = $request->param();

        $this->validate($params, ['professional_service_guid' => 'require']);

        $find = ModelProfessionalService::field([
            'professional_service_id',
            'professional_service_guid',
            'professional_service_icon',
            'professional_service_link',
            'professional_service_title',
            'professional_service_describe',
            'professional_service_sort'
        ])
            ->where('professional_service_guid', $params['professional_service_guid'])
            ->find();

        return msg(0, '获取专业优质服务详情成功!', ['data' => $find]);
    }
}
