<?php

namespace app\common\model\Home\Highlights;

use app\common\arw\adjfut\src\Validate;
use app\BaseModel;
use think\model\concern\SoftDelete;
use app\common\arw\adjfut\src\Excel;
use app\Request;
use app\common\exception\Tool;
use think\facade\Db;

class Highlights extends BaseModel
{
    use SoftDelete;
    // 删除字段
    protected $deleteTime = 'highlights_delete_time';
    // 设置主键名
    protected $pk = 'highlights_guid';
    // 设置废弃字段
    protected $disuse = [];
    // 设置字段信息
    protected $schema = [
	 'highlights_id' => 'int' , 
 'highlights_guid' => 'string' , 
 'i18n_lang_type_guid' => 'string' , 
 'highlights_title' => 'string' , 
 'highlights_sort' => 'int' , 
 'highlights_create_time' => 'datetime' , 
 'highlights_create_user_guid' => 'string' , 
 'highlights_update_time' => 'datetime' , 
 'highlights_update_user_guid' => 'string' , 
 'highlights_delete_time' => 'datetime' , 
 'highlights_delete_user_guid' => 'string' , 

	];
    // 设置json类型字段
    protected $json = [''];
    // 开启自动写入时间戳字段
    protected $autoWriteTimestamp = 'datetime';
    // 创建时间
    protected $createTime = 'highlights_create_time';
    // 修改时间
    protected $updateTime = 'highlights_update_time';

    //排序字段
    public $order_field = 'highlights_sort';

    

    /**
     * 新增前
     */
    public static function onBeforeInsert(self $model): void
    {
        Tool::dataAddSortProc($model);
        $model->completeCreateField();
    }

    /**
     * 更新前
     */
    public static function onBeforeUpdate(self $model): void
    {
        Tool::dataEditSortProc($model);
        $model->completeUpdateField();
    }

    /**
     * 删除前
     */
    public static function onBeforeDelete(self $model): void
    {
        Tool::dataDeleteSortProc($model);
        $model->completeDeleteField();
    }

    

    

    


}
