<?php

namespace app\common\model\Home\Partners;

use app\common\arw\adjfut\src\Validate;
use app\BaseModel;
use think\model\concern\SoftDelete;
use app\common\arw\adjfut\src\Excel;
use app\Request;
use app\common\exception\Tool;
use think\facade\Db;

class Partners extends BaseModel
{
    use SoftDelete;
    // 删除字段
    protected $deleteTime = 'partners_delete_time';
    // 设置主键名
    protected $pk = 'partners_guid';
    // 设置废弃字段
    protected $disuse = [];
    // 设置字段信息
    protected $schema = [
        'partners_id' => 'int',
        'partners_guid' => 'string',
        'partners_img' => 'string',
        'partners_des' => 'string',
        'partners_sort' => 'int',
        'partners_create_time' => 'datetime',
        'partners_create_user_guid' => 'string',
        'partners_update_time' => 'datetime',
        'partners_update_user_guid' => 'string',
        'partners_delete_time' => 'datetime',
        'partners_delete_user_guid' => 'string',

    ];
    // 设置json类型字段
    protected $json = [''];
    // 开启自动写入时间戳字段
    protected $autoWriteTimestamp = 'datetime';
    // 创建时间
    protected $createTime = 'partners_create_time';
    // 修改时间
    protected $updateTime = 'partners_update_time';

    //排序字段
    public $order_field = 'partners_sort';



    /**
     * 新增前
     */
    public static function onBeforeInsert(self $model): void
    {
        Tool::dataAddSortProc($model);
        $model->completeCreateField();
    }

    /**
     * 更新前
     */
    public static function onBeforeUpdate(self $model): void
    {
        Tool::dataEditSortProc($model);
        $model->completeUpdateField();
    }

    /**
     * 删除前
     */
    public static function onBeforeDelete(self $model): void
    {
        Tool::dataDeleteSortProc($model);
        $model->completeDeleteField();
    }
}
