<?php

namespace app\common\model\Home\ProfessionalService;

use app\common\arw\adjfut\src\Validate;
use app\BaseModel;
use think\model\concern\SoftDelete;
use app\common\arw\adjfut\src\Excel;
use app\Request;
use app\common\exception\Tool;
use think\facade\Db;

class ProfessionalService extends BaseModel
{
    use SoftDelete;
    // 删除字段
    protected $deleteTime = 'professional_service_delete_time';
    // 设置主键名
    protected $pk = 'professional_service_guid';
    // 设置废弃字段
    protected $disuse = [];
    // 设置字段信息
    protected $schema = [
        'professional_service_id' => 'int',
        'professional_service_guid' => 'string',
        'professional_service_icon_name' => 'string',
        'professional_service_icon' => 'string',
        'professional_service_title' => 'string',
        'professional_service_link' => 'string',
        'professional_service_describe' => 'string',
        'i18n_lang_type_guid' => 'string',
        'professional_service_sort' => 'int',
        'professional_service_create_time' => 'datetime',
        'professional_service_create_user_guid' => 'string',
        'professional_service_update_time' => 'datetime',
        'professional_service_update_user_guid' => 'string',
        'professional_service_delete_time' => 'datetime',
        'professional_service_delete_user_guid' => 'string',

    ];
    // 设置json类型字段
    protected $json = [''];
    // 开启自动写入时间戳字段
    protected $autoWriteTimestamp = 'datetime';
    // 创建时间
    protected $createTime = 'professional_service_create_time';
    // 修改时间
    protected $updateTime = 'professional_service_update_time';

    //排序字段
    public $order_field = 'professional_service_sort';



    /**
     * 新增前
     */
    public static function onBeforeInsert(self $model): void
    {
        Tool::dataAddSortProc($model);
        $model->completeCreateField();
    }

    /**
     * 更新前
     */
    public static function onBeforeUpdate(self $model): void
    {
        Tool::dataEditSortProc($model);
        $model->completeUpdateField();
    }

    /**
     * 删除前
     */
    public static function onBeforeDelete(self $model): void
    {
        Tool::dataDeleteSortProc($model);
        $model->completeDeleteField();
    }
}
