<?php

namespace app\common\model\LeaveMessage;

use app\common\arw\adjfut\src\Validate;
use app\BaseModel;
use think\model\concern\SoftDelete;
use app\common\arw\adjfut\src\Excel;
use app\Request;
use app\common\exception\Tool;
use think\facade\Db;

class LeaveMessage extends BaseModel
{
    use SoftDelete;
    // 删除字段
    protected $deleteTime = 'leave_message_delete_time';
    // 设置主键名
    protected $pk = 'leave_message_id';
    // 设置废弃字段
    protected $disuse = [];
    // 设置字段信息
    protected $schema = [
        'leave_message_id' => 'int',
        'leave_message_guid' => 'string',
        'leave_message_name' => 'string',
        'leave_message_phone' => 'string',
        'leave_message_email' => 'string',
        'leave_message_info' => 'string',
        'leave_message_create_time' => 'datetime',
        'leave_message_create_user_guid' => 'string',
        'leave_message_update_time' => 'datetime',
        'leave_message_update_user_guid' => 'string',
        'leave_message_delete_time' => 'datetime',
        'leave_message_delete_user_guid' => 'string',

    ];
    // 设置json类型字段
    protected $json = [''];
    // 开启自动写入时间戳字段
    protected $autoWriteTimestamp = 'datetime';
    // 创建时间
    protected $createTime = 'leave_message_create_time';
    // 修改时间
    protected $updateTime = 'leave_message_update_time';



    /**
     * 新增前
     */
    public static function onBeforeInsert(self $model): void
    {
        // self::checkRepeatData($model);
        // $model->completeCreateField();
    }

    /**
     * 更新前
     */
    public static function onBeforeUpdate(self $model): void
    {
        // self::checkRepeatData($model);
        $model->completeUpdateField();
    }

    /**
     * 删除前
     */
    public static function onBeforeDelete(self $model): void
    {
        $model->completeDeleteField();
    }


    /**
     * 导出Excel
     * 
     * @param array $select 导出的数据
     */
    public static function exportExcel(array $select): void
    {
        $data = [[
            '姓名',
            '电话',
            '邮箱',
            '信息'
        ]];
        foreach ($select as $key => $val) {
            $data[] = [
                $val['leave_message_name'],
                $val['leave_message_phone'],
                $val['leave_message_email'],
                $val['leave_message_info'],
            ];
        }
        $excel = (new Excel())->exporTsheet($data);
        $excel->save('留言.xlsx');
    }
}
